Bug 1122682 - [BEAKER] RFE comment box
Summary: [BEAKER] RFE comment box
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: develop
Hardware: Unspecified
OS: Unspecified
low
unspecified vote
Target Milestone: 23.0
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On: 1263917
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 18:43 UTC by PaulB
Modified: 2019-07-22 13:17 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-07 23:10:38 UTC


Attachments (Terms of Use)

Description PaulB 2014-07-23 18:43:01 UTC
Description of problem:
 Request comment box to be a bit larger (currently ~40 characters in width)
and support new line. I would generally use this comment box to provide brief description of issue and/or point to a BZ or an RT.

Version-Release number of selected component (if applicable):
 Beaker 0.17.0 

Additional info:
Refer to comment example here:
https://beaker.engineering.redhat.com/jobs/702566

Comment 1 Nick Coghlan 2014-07-24 00:16:39 UTC
This sounds reasonable to me, but it may make sense to leave it until the general UX update for the job results page (that's the next big one on our hit list after the system page redesign, although it isn't expected to be anywhere near as dramatic)

Comment 2 PaulB 2015-02-23 15:21:48 UTC
All,
I this request still on the radar?

Best,
-pbunyan

Comment 3 Dan Callaghan 2015-02-24 01:27:28 UTC
(In reply to PaulB from comment #2)
> I this request still on the radar?

We are planning to address this as part of the upcoming job page improvements. There is a description of the proposed changes here:

https://beaker-project.org/dev/proposals/job-page-improvements.html

and we are working on a prototype which we will use to collect more feedback.

Comment 5 Dan Callaghan 2016-04-05 11:14:32 UTC
Specifically, comments (which are available from the comment icon in each recipe set row, task row, and result row) can be multiple lines and Markdown is supported.

However the textarea for comments is still quite small :-) so I'm not sure if this will fully address your needs Paul. Please have a look at it and tell us what you think.

Comment 7 PaulB 2016-04-07 15:32:54 UTC
Dan,
Tested here:
https://beaker-devel.app.eng.bos.redhat.com/jobs/9414

I like the comment box. 
I like how it saves multiple comments, if need be.

However, I do think we would need to be able to delete comments.
We all make mistakes (typo, cut/paste, etc).
Having the ability to delete a bad or simply wrong comment
would be beneficial.

Thank you,
-pbunyan

Comment 8 Dan Callaghan 2016-04-13 07:31:25 UTC
(In reply to PaulB from comment #7)
> However, I do think we would need to be able to delete comments.
> We all make mistakes (typo, cut/paste, etc).
> Having the ability to delete a bad or simply wrong comment
> would be beneficial.

We did consider it, but left it out of this first implementation. For now you will have to treat it like Bugzilla, if you make a mistake write a new comment correcting it. :-) I filed bug 1326582 as an RFE for editing and deleting comments, although I don't think we will get to that before 23.0.

Comment 9 Dan Callaghan 2016-04-13 07:37:34 UTC
I've also added some help text to say that comments are rendered as Markdown, which came up on IRC the other day:

http://gerrit.beaker-project.org/4806

Comment 10 PaulB 2016-04-13 20:29:55 UTC
(In reply to Dan Callaghan from comment #8)
> (In reply to PaulB from comment #7)
> > However, I do think we would need to be able to delete comments.
> > We all make mistakes (typo, cut/paste, etc).
> > Having the ability to delete a bad or simply wrong comment
> > would be beneficial.
> 
> We did consider it, but left it out of this first implementation. For now
> you will have to treat it like Bugzilla, if you make a mistake write a new
> comment correcting it. :-) I filed bug 1326582 as an RFE for editing and
> deleting comments, although I don't think we will get to that before 23.0.

Ok - please keep this on the radar for Beaker23.0?

Thank you.
-pbunyan

Comment 12 Dan Callaghan 2016-07-07 23:10:38 UTC
Beaker 23.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.